
Prewikka - Bug #124

prewikka internal error (heartbeat count)

01/06/2006 03:05 PM - 

Status: Closed Start date:  

Priority: High Due date:  

Assignee: Yoann VANDOORSELAERE % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: fixed   

Description

Hi there,

got the following internal error message in prewikka 0.9.2 (I am using prewikka-httpd).

Thanks for helping!

Regards.

----

argument number 3: a 'long' is expected, 'str(30)' is received

Failed query: /?view=heartbeat_analyze&analyzerid=2462743973851376

Traceback (most recent call last):

  File "/usr/lib/python2.4/site-packages/prewikka/Core.py", line 277, in process

    getattr(view[[object"] view["handler]])()

  File "/usr/lib/python2.4/site-packages/prewikka/views/sensor.py", line 175, in render

    limit=self._heartbeat_count)

  File "/usr/lib/python2.4/site-packages/prewikka/IDMEFDatabase.py", line 283, in getHeartbeatIden

ts

    return self._getMessageIdents(preludedb_get_heartbeat_idents, criteria, limit, offset)

  File "/usr/lib/python2.4/site-packages/prewikka/IDMEFDatabase.py", line 262, in _getMessageIdent

s

    PRELUDEDB_RESULT_IDENTS_ORDER_BY_CREATE_TIME_DESC)

[[TypeError]]: argument number 3: a 'long' is expected, 'str(30)' is received

History

#1 - 01/09/2006 12:49 PM - Yoann VANDOORSELAERE

- Status changed from New to Assigned

Format summary for readability.

#2 - 01/09/2006 12:53 PM - Yoann VANDOORSELAERE

- Status changed from Assigned to Closed

- Resolution set to fixed

Fixed in r7583.

#3 - 04/29/2009 12:24 PM - Yoann VANDOORSELAERE

- Project changed from PRELUDE SIEM to Prewikka

- Category deleted (5)
